For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTRegister Edge observability metrics.
      • POSTHeartbeat for Enterprise Edge instances.
      • GET[BETA] Connect to the streaming API.
      • POST[BETA] Disconnect all clients.
      • POSTSend metrics in bulk
      • POSTCheck which tokens are valid
      • POSTGet or create valid tokens for the requested environment

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIUnleash Edge

Send metrics in bulk

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/client/metrics/bulk
POST
/api/client/metrics/bulk
$curl -X POST https://app.unleash-instance.example.com/api/client/metrics/bulk \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "applications": [
> {
> "appName": "Ingress load balancer",
> "environment": "development",
> "instanceId": "application-name-dacb1234"
> }
> ],
> "metrics": [
> {
> "featureName": "my.special.feature",
> "appName": "accounting",
> "environment": "development"
> }
> ]
>}'
1{}
This operation accepts batched metrics from any client. Metrics will be inserted into Unleash's metrics storage
Was this page helpful?
Previous

Check which tokens are valid

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

bulkMetricsSchema
applicationslist of objectsRequired
A list of applications registered by an Unleash SDK
metricslist of objectsRequired

a list of client usage metrics registered by downstream providers. (Typically Unleash Edge)

impactMetricslist of objectsOptional

a list of custom impact metrics registered by downstream providers. (Typically Unleash Edge)

Response

This response has no body.

Errors

400
Bad Request Error
413
Content Too Large Error
415
Unsupported Media Type Error